# Uses of Enum Class
org.bukkit.TreeSpecies

Packages that use TreeSpecies
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.material
Classes that represents various voxel types and states.

## Uses of TreeSpecies in org.bukkit

Methods in org.bukkit that return TreeSpecies
Modifier and Type
Method
Description
`static @Nullable TreeSpecies`
TreeSpecies.`getByData(byte data)`
Deprecated.
Magic value
`static TreeSpecies`
TreeSpecies.`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static TreeSpecies[]`
TreeSpecies.`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of TreeSpecies in org.bukkit.entity

Methods in org.bukkit.entity that return TreeSpecies
Modifier and Type
Method
Description
`@NotNull TreeSpecies`
Boat.`getWoodType()`
Deprecated.
deprecated in favor of `Boat.getBoatType()`
Methods in org.bukkit.entity with parameters of type TreeSpecies
Modifier and Type
Method
Description
`void`
Boat.`setWoodType(@NotNull TreeSpecies species)`
Deprecated.
deprecated in favor of `Boat.setBoatType(Type)`

## Uses of TreeSpecies in org.bukkit.material

Fields in org.bukkit.material declared as TreeSpecies
Modifier and Type
Field
Description
`protected static final TreeSpecies`
Wood.`DEFAULT_SPECIES`
Deprecated.
Methods in org.bukkit.material that return TreeSpecies
Modifier and Type
Method
Description
`TreeSpecies`
Wood.`getSpecies()`
Deprecated.
Gets the current species of this wood block
Methods in org.bukkit.material with parameters of type TreeSpecies
Modifier and Type
Method
Description
`static Material`
Door.`getWoodDoorOfSpecies(TreeSpecies species)`
Deprecated.
Returns the item type of a wooden door for the given tree species.
`void`
Wood.`setSpecies(TreeSpecies species)`
Deprecated.
Sets the species of this wood block
Constructors in org.bukkit.material with parameters of type TreeSpecies
Modifier
Constructor
Description
``
`Door(TreeSpecies species, boolean isHingeRight)`
Deprecated.
Constructs the top half of a wooden door of the given species and with the hinge on the left or right
``
`Door(TreeSpecies species, BlockFace face)`
Deprecated.
Constructs the bottom half of a wooden door of the given species, facing the specified direction and set to closed
``
`Door(TreeSpecies species, BlockFace face, boolean isOpen)`
Deprecated.
Constructs the bottom half of a wooden door of the given species, facing the specified direction and set to open or closed
``
`Leaves(Material type, TreeSpecies species)`
Deprecated.
Constructs a leaf block of the given type and tree species.
``
`Leaves(Material type, TreeSpecies species, boolean isDecayable)`
Deprecated.
Constructs a leaf block of the given type and tree species and flag for whether this leaf block will disappear when too far from a log.
``
`Leaves(TreeSpecies species)`
Deprecated.
Constructs a leaf block of the given tree species.
``
`Leaves(TreeSpecies species, boolean isDecayable)`
Deprecated.
Constructs a leaf block of the given tree species and flag for whether this leaf block will disappear when too far from a log.
``
`Sapling(Material type, TreeSpecies species)`
Deprecated.
Constructs a sapling of the given type and tree species.
``
`Sapling(Material type, TreeSpecies species, boolean isInstantGrowable)`
Deprecated.
Constructs a sapling of the given type and tree species and if is it instant growable
``
`Sapling(TreeSpecies species)`
Deprecated.
Constructs a sapling of the given tree species.
``
`Sapling(TreeSpecies species, boolean isInstantGrowable)`
Deprecated.
Constructs a sapling of the given tree species and if is it instant growable
``
`Tree(Material type, TreeSpecies species)`
Deprecated.
Constructs a tree block of the given type and tree species.
``
`Tree(Material type, TreeSpecies species, BlockFace dir)`
Deprecated.
Constructs a tree block of the given type and tree species, and facing the given direction.
``
`Tree(TreeSpecies species)`
Deprecated.
Constructs a tree block of the given tree species.
``
`Tree(TreeSpecies species, BlockFace dir)`
Deprecated.
Constructs a tree block of the given tree species, and facing the given direction.
``
`Wood(Material type, TreeSpecies species)`
Deprecated.
Constructs a wood block of the given type and tree species.
``
`Wood(TreeSpecies species)`
Deprecated.
Constructs a wood block of the given tree species.
``
`WoodenStep(TreeSpecies species)`
Deprecated.
Constructs a wooden step of the given tree species.
``
`WoodenStep(TreeSpecies species, boolean inv)`
Deprecated.
Constructs a wooden step of the given type and tree species, either inverted or not.